- libbson 1.13.1 »
- API Reference »
- bson_reader_t

# bson_reader_destroy_func_t

## Synopsis

    typedef void (*bson_reader_destroy_func_t) (void *handle);

## Parameters

- `handle`: The opaque handle provided to bson_reader_new_from_handle().

## Description

An optional callback function that will be called when a bson_reader_t created with bson_reader_new_from_handle() is destroyed with bson_reader_destroy().

The handle used when creating the reader is passed to this callback.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.